# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /home/builder/r-4.2.0/aggregateR/r-glmtlp-feedstock/recipe, last modified Wed Jun  1 21:42:24 2022
# ------------------------------------------------

package:
  name: r-glmtlp
  version: 2.0.1
source:
  sha256: 4a76f430b1ecf13aad5e48e55c8cad98688d01929678a1cafdaf9c151794a32b
  url:
    - https://cran.r-project.org/src/contrib/Archive/glmtlp/glmtlp_2.0.1.tar.gz
    - https://cran.r-project.org/src/contrib/glmtlp_2.0.1.tar.gz
build:
  number: '0'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r42h884c59f_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - make 4.2.1 h1bed415_1
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _r-mutex 1.0.0 anacondar_1
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - blas 1.0 openblas
    - bwidget 1.9.11 1
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2022.4.26 h06a4308_0
    - cairo 1.16.0 h19f5f5c_2
    - curl 7.82.0 h7f8727e_0
    - fontconfig 2.13.1 h6c09931_0
    - freetype 2.11.0 h70c0345_0
    - fribidi 1.0.10 h7b6447c_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gfortran_impl_linux-64 11.2.0 h1234567_1
    - gfortran_linux-64 11.2.0 hc2dff05_0
    - glib 2.69.1 h4ff587b_1
    - graphite2 1.3.14 h295c915_1
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - harfbuzz 2.8.1 h6f93f22_0
    - icu 58.2 he6710b0_3
    - jpeg 9e h7f8727e_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.2 hac12032_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libcurl 7.82.0 h0b77cf5_0
    - libedit 3.1.20210910 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libffi 3.3 he6710b0_2
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h00389a5_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.46.0 hce63b2e_0
    - libopenblas 0.3.20 h043d6bf_1
    - libpng 1.6.37 hbc83047_0
    - libssh2 1.10.0 h8f2d780_0
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libtiff 4.2.0 h2818925_1
    - libuuid 1.0.3 h7f8727e_2
    - libwebp-base 1.2.2 h7f8727e_0
    - libxcb 1.15 h7f8727e_0
    - libxml2 2.9.14 h74e7548_0
    - lz4-c 1.9.3 h295c915_1
    - make 4.2.1 h1bed415_1
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1o h7f8727e_0
    - pango 1.45.3 hd140c19_0
    - pcre 8.45 h295c915_0
    - pcre2 10.37 he7ceb23_1
    - pixman 0.40.0 h7f8727e_1
    - r-base 4.2.0 h1ae530e_0
    - r-cli 3.3.0 r42h884c59f_0
    - r-codetools 0.2_18 r42h6115d3f_0
    - r-colorspace 2.0_3 r42h76d94ec_0
    - r-crayon 1.5.1 r42h6115d3f_0
    - r-digest 0.6.29 r42h884c59f_0
    - r-doparallel 1.0.17 r42h6115d3f_0
    - r-ellipsis 0.3.2 r42h76d94ec_0
    - r-fansi 1.0.3 r42h76d94ec_0
    - r-farver 2.1.0 r42h884c59f_0
    - r-foreach 1.5.2 r42h6115d3f_0
    - r-ggplot2 3.3.6 r42h6115d3f_0
    - r-glue 1.6.2 r42h76d94ec_0
    - r-gtable 0.3.0 r42h6115d3f_0
    - r-isoband 0.2.5 r42h884c59f_0
    - r-iterators 1.0.14 r42h6115d3f_0
    - r-labeling 0.4.2 r42h6115d3f_0
    - r-lattice 0.20_45 r42h76d94ec_0
    - r-lifecycle 1.0.1 r42h142f84f_0
    - r-magrittr 2.0.3 r42h76d94ec_0
    - r-mass 7.3_57 r42h76d94ec_0
    - r-matrix 1.4_1 r42h76d94ec_0
    - r-mgcv 1.8_40 r42h76d94ec_0
    - r-munsell 0.5.0 r42h6115d3f_0
    - r-nlme 3.1_157 r42h640688f_0
    - r-pillar 1.7.0 r42h6115d3f_0
    - r-pkgconfig 2.0.3 r42h6115d3f_0
    - r-r6 2.5.1 r42h6115d3f_0
    - r-rcolorbrewer 1.1_3 r42h6115d3f_0
    - r-rlang 1.0.2 r42h884c59f_0
    - r-scales 1.2.0 r42h6115d3f_0
    - r-tibble 3.1.7 r42h76d94ec_0
    - r-utf8 1.2.2 r42h76d94ec_0
    - r-vctrs 0.4.1 r42h884c59f_0
    - r-viridislite 0.4.0 r42h6115d3f_0
    - r-withr 2.5.0 r42h6115d3f_0
    - readline 8.1.2 h7f8727e_1
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.12 h1ccaba5_0
    - tktable 2.10 h14c3975_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
    - zstd 1.5.2 ha4553b6_0
  run:
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - r-base >=4.2,<4.3.0a0
    - r-doparallel
    - r-foreach
    - r-ggplot2
test:
  commands:
    - $R -e "library('glmtlp')"
about:
  home: https://yuyangyy.com/glmtlp/
  license: GPL-3
  license_family: GPL3
  license_file:
    - /home/builder/r-4.2.0/miniconda/envs/r-4.2.0/conda-bld/r-glmtlp_1654541945541/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/lib/R/share/licenses/GPL-3
  summary: Extremely efficient procedures for fitting regularization path with l0,
    l1, and truncated lasso penalty for linear regression and logistic regression
    models. This version is a completely new version compared with our previous version,
    which was mainly based on R. New core algorithms are developed and are now written
    in C++ and highly optimized.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - katietz
